精华内容
下载资源
问答
  • idea配置Lua环境

    2020-12-10 19:40:52
    安装Lua插件 Lua插件 右键新建Lua文件 设置配置 添加解释器 取官网下载一个exe即可 http://luabinaries.sourceforge.net/

    安装Lua插件

    Lua插件

    在这里插入图片描述
    右键新建Lua文件
    在这里插入图片描述
    设置配置
    在这里插入图片描述
    添加解释器
    在这里插入图片描述
    去官网下载一个exe即可
    http://luabinaries.sourceforge.net/

    之后就可以运行lua程序了

    展开全文
  • 一 准备软件    vredist_x86.exe,是C++开发环境的一个支持插件,...LuaForWindows_v5.1.4-35.exe,LuaForWindows是Windows系统的Lua脚本语言开发运行环境,可以默认选项安装。 ideaIU-2018-2.4.exe, 全称Intel...

    一 准备软件


    文件列表

    1. vredist_x86.exe,是C++开发环境的一个支持插件,如果缺少了vcredist_x86,安装LuaForWindows-5.1.4-35.exe可能会报错。
    2. LuaForWindows_v5.1.4-35.exe,LuaForWindows是Windows系统的Lua脚本语言开发运行环境,可以默认选项安装。
    3. ideaIU-2018-2.4.exe, 全称IntelliJ IDEA,是用于java语言开发的集成环境,我们添加lua插件,用于lua开发。
    4. Intellij-EmmyLua-1.2.5-IDEA182.zip,EmmyLua 是一款基于IntelliJ IDEA的Lua插件,拥有强大的代码提示以及调试功能,开源免费。

      下载地址就不提供了,大家可以去百度搜索查找下载。

    二 软件安装

    • 第一步,安装vredist_x86.exe。
    • 第二步,安装LuaForWindows_v5.1.4-35.exe。
    • 第三步,安装ideaIU-2018-2.4.exe,如果使用的是旗舰版,请购买,或者自己百度搜索破译,我试了好些方法,很多License Server都不可用,最终按照简书上的一篇文章破译的。
    • 第四步,配置idea中的lua使用环境,具体配置如下。

    【安装插件EmmyLua】

    IDEA安装成功后,进入Welcomme界面,如下图。
    安装成功后,进入Welcomme界面

    点击【Configure】,选择【Plugins】选项。
    Configure选择Plugins

    进入Plugins配置页面,如下图。
    Plugins界面

    点击【Install plugin from disk】,选择磁盘上的 Intellij-EmmyLua-1.2.5-IDEA182.zip,点击【OK】
    Plugins界面安装EmmyLua

    最后,点击【OK】,EmmyLua插件安装完成。

    【配置Lua开发环境】

    选择【File】->【Project Structure】,进入Project Struceture配置界面,点击左侧【SDKs】,选择自己的Lua SDK home path,如下图。点击【OK】,配置Lua开发环境配置完成。
    Project Structure->SDKs

    三 环境测试

    新建一个新的lua文件,输出一行“Hello World”, 然后点击【run】,结果输出在运行结果区。
    运行

    结果

    转载于:https://blog.51cto.com/470462/2298025

    展开全文
  • lua-idea lua环境配置

    2021-03-03 11:23:03
    idea lua环境配置一、 Window 系统上安装 Lua1. LuaForWindows_v5.1.5-52.exe下载地址2. 双击即可安装二 、 idea 安装插件EmmyLua1. 在File-Setting-Plugins 中选择EmmyLua插件安装三 、 idea 创建lua项目1. 点击...

    一、 Window 系统上安装 Lua

    1. LuaForWindows_v5.1.5-52.exe下载地址

    • Github 下载地址:https://github.com/rjpcomputing/luaforwindows/releases

    2. 双击即可安装

    安装版本是5.1.4-46 安装会出现服务无法连接等错误

    二 、 idea 安装插件EmmyLua

    1. 在File-Setting-Plugins 中选择EmmyLua插件安装

    EmmyLua和Lua插件同时安装idea会出现错误,解决方法禁止插件即可
    在这里插入图片描述

    三 、 idea 创建lua项目

    1. 点击File-Project,新建Lua项目 。

    在这里插入图片描述

    创建lua文件

    1.在src文件夹上右击,选择New-New Lua File即可创建

    在这里插入图片描述

    三 、 idea 配置lua运行配置环境

    1. 点击Run-Edit Configurations
      在这里插入图片描述
    2. 点击Template-Lua Appliation-program 设置lua.exe安装路径
      在这里插入图片描述
    3. 右击lua文件,选择Run 'test.lua’即可运行lua程序
      在这里插入图片描述
    展开全文
  • 一 系统原有的环境 (1)操作系统的版本 [kiosk@k8s plugin]$ cat /etc/centos-release CentOS Linux release '7.7.1908' (Core) (2)默认lua的版本 [kiosk@k8s plugin]$ lua Lua '5.1.4' Copyright (C) ...

    一  系统原有的环境

    (1)操作系统的版本

    [kiosk@k8s plugin]$ cat /etc/centos-release
    CentOS Linux release '7.7.1908' (Core)

    (2)默认lua的版本

    [kiosk@k8s plugin]$ lua 
    Lua '5.1.4'  Copyright (C) 1994-2008 Lua.org, PUC-Rio
    > 

    二   源码安装新版本的lua

    5.3英文参考文档

    lua的相关rpm包

    各个版本的下载链接

    lua'相关版本'的历史

    (1)安装过程

    FAQ

    '(1)'安装依赖
    
    yum install readline-devel -y  -->'针对下面的readline报错的'
    
    '(2)'源码编译
    
    local Lua_Version="5.3.6"
    
    tar -zxf lua-${Lua_Version}.tar.gz
    
    cd lua-${Lua_Version}
    
    make linux test  -->'测试安装前的准备'
    
    vim Makefile --> '修改见下' -->'防止覆盖系统原有的文件'
    
    make install --> '编译安装'

    (2)测试

    三   IDEA 配置lua

    (1)下载后本地导入

    说明:PC'不联网'或者某些插件可能需要'proxy'

    EmmyLua插件

    (2)通过IDEA的插件市场

    说明:'EmmyLua版本'会自动与'IDEA'版本适配

    问题: 安装 IntelliJ-EmmyLua 插件后'崩溃'

    跟我一样的报错

    相似报错汇总

    'EmmyLua BUG'交流群: 805629309

    (3)分析报错

    1)IDE版本'是否适配'
    
    2)是否有其它lua插件'导致冲突'

    解决思路:插件冲突引起的

    错误的关键就在于"EmmyLua"插件,这个插件的作用其实有了lua插件相关的配置,但是又安装了'lua'插件,'导致冲突'-->'进而报错'

     

    说明:印证了之前的报错'Lua is not unique'

    说明:配置'lua'解释器'无法全局'配置,只能具备配置-->'每个lua文件'

    (4)工作目录问题

    '$MODULE_DIR$'和'%MODULE_WORKING_DIR%'均无效
    
    思考:是不是'Windows'和'Linux'引用环境变量的方式'不一样'

    继续分析

    (5)运行demo

    思考:通过'EmmyLua'创建'Lua项目'有啥特殊功能

     (6)关于该插件的详细使用

    新人入群请先看群文件中的视频和"常见问题汇总.txt"
    
    【Github】 https://github.com/EmmyLua
    
    【在线文档】https://emmylua.github.io/zh_CN  -->'重点' -->'中文介绍该插件的功能'
    
    【CI IDEA】https://ci.appveyor.com/project/EmmyLua/intellij-emmylua/build/artifacts
    
    【CI VSCode】https://ci.appveyor.com/project/EmmyLua/vscode-emmylua/build/artifacts

    三   利用IDEA的debug调试Lua

    (1)如果使用默认的lua编译器

    说明:它是在'寻找lua'的依赖包,而我的那些包在'/usr/local/share/lua' 以及 '/usr/local/lib/lua'下
    
    在调试的时候需要'lua的其他包',即:所以需要开发环境-->'即SDK'
    
    说明: 下面安装的是'lua5.1'的luasocket模块

    测试

    (2)修改lua的版本后,debug报错提示

    代码在启动的时候'报错如下'
    
    ++++++++++++++'深层次的原因'++++++++++++++
    
    没有使用系统的'lua5.1'版本,而是自己编译的'lua5.3'版本

    luasocket-2.0.2

    解决策略:源码安装lua5.3对应的luasocket模块

    Lua-5.3.5 安装 luasocket 的正确姿势

    luasocket官方站点

    参考博客

    说明:作者已经把'最新版'的 luasocket 放到 'github' 上去了
    
    说明:官方的那个站点 http://luaforge.net/projects/ 里放着的是 'luasocket-2.0.2'已经'过时'
    
    +++++++++++'安装过程'+++++++++++
    
    git clone https://github.com/diegonehab/luasocket
    
    cd luasocket
    
    make && make install-both
    
    备注:注意'安装路径'

    继续报错

    结论:找不到'lua_pcall包',可能是'版本冲突'
    
    可能原因:安装了两个lua库,一个是'手工安装',一个是'Centos工具套件'安装的

    测试方法

    pi@rpi /opt/software/lua-5.3.5 $ lua
    Lua 5.3.2  Copyright (C) 1994-2015 Lua.org, PUC-Rio
    > 'require("socket")'
    table: 0x86f878
    > soc = require("socket")
    > 'print(soc._VERSION)'
    LuaSocket 3.0-rc1

    参考博客

    详细过程

    (3)官方推荐的方式

    +++++++++++++++++++++分割线+++++++++++++++++++++

    下载MobDebug项目,把里面的mobdebug.lua文件拷贝到当前项目的src目录下

    'wget' https://github.com/pkulchenko/MobDebug/archive/0.70.zip

     

    展开全文
  • Idea+lua 开发环境搭建

    2018-12-11 14:11:24
    用于idea 开发lua 应用,包含emmylua, luaforwindows, vcredist
  • idea搭建Lua+OpenResty+Nginx开发环境1.基础环境2.安装过程1.安装OpenResty2.在idea上安装插件3.配置nginx4.验证 1.基础环境 idea 版本:IntelliJ IDEA 2018.1.3 x64 操作系统:win0 x64 2.安装过程 1.安装...
  • Idea 搭建Lua开发环境

    千次阅读 2019-12-18 14:52:51
    1.Lua是什么 1993年在巴西里约热内卢天主教大学诞生了一门编程语言,发明者是该校的三名研究人员,他们给这门语言取了一个浪漫的名字——Lua,在葡萄牙语里代表美丽的月亮。Lua语言正如它的名字所预示的那样成长为...
  • Idea+lua 开发环境搭建(一)

    万次阅读 2019-05-14 10:14:26
    Idea 是比较流行的开发工具,功能强大,那么如何来开发lua项目,下面进入实战。 软件准备 1. idea 文件大自己下载 2. IntelliJ-EmmyLua-1.2.6-IDEA172 EmmyLua 是一款基于IntelliJ IDEALua插件,拥有强大的代码...
  • idea调试lua

    2019-07-26 17:01:46
    idea调试lua代码,没有openresty参与 刚开始接触lua,简要的做下笔记。 在idea中的plugins界面中搜索EmmyLua,安装并重启idea 打开一个空项目,在里面可以右键创建lua文件 编辑文件 配置debug的configuration,如图...
  • Lua——配置IDEA+EmmyLua插件开发环境

    千次阅读 2018-12-12 12:38:14
    1.打开Idea,进入File-Settings-Plugins,搜索EmmyLua并安装。 安装完之后,重启IDEA。 创建项目 开始愉快的编码~ 其他设置 1.由于我之前使用VS比较多,可以把快捷键设置为VS风格。 File-Setting-Key...
  • Lua IDE-Intellij IDEA+lua插件非常好用的开发工具配置教程(Chinar强烈推荐!) 助力快速配置与完成 Intellij +Lua 插件的安装、配置 那么同样,我们写 Lua 代码也需要一个好的 IDE,才能使我们开发的进度和工作效率...
  • Lua_IDEA_的环境配置

    2020-02-26 18:08:45
    <1. 安装社区版 <2. 配置lua 环境 File ->Settings->Plugins->搜索EmmyLua 如果没有安装点Install à安装完APPly应用就可以了 --如果是电脑不联网 就下载Emmy...
  • 配置lua开发环境

    2021-05-26 11:42:48
    2. 配置环境变量 右键此电脑(我的电脑)--点击高级系统设置--高级--环境变量 3. 添加环境变量 点击新建--输入变量名称:lua_path,变量值:D:\Lua,点击确定保存。 4.下载IntelliJ IDEA 打开页面 ...
  • IDEA+EmmyLua Lua开发环境搭建

    千次阅读 2020-05-27 10:38:08
    文章目录# 写在开始# 关键步骤安装...如果你是第一次安装Lua环境,建议先看后面的[#详细说明]部分,然后再利用[#关键步骤]中给出的命令行完成安装。 # 关键步骤 安装Lua $ brew install lua 安装luarocks $ bre
  • idea进行lua开发及运行nginx-lua程序

    千次阅读 2019-05-21 19:55:27
    由于openresty每次在启动nginx时都需要通过命令重启比较麻烦,因此打算通过idea运行nginx服务,且idea插件对代码提示有一定程度的支持。...2、配置lua解释器 要将lua解释器的安装路径配置到path环境变量中 ...
  • .安装IntelliJ IDEA Community Edition
  • idea搭建Lua + OpenResty + Nginx开发环境

    千次阅读 2019-02-20 19:04:24
    目录 1.OpenResty安装 2.Nginx配置 2.1idea安装nginx插件 2.2配置nginx server 3. 创建Lua工程 ...3.1 新建lua工程 ...3.4 创建test.lua文件 ...3.5 idea配置ant 3.6 ant build添加build.xml文件 4 启...
  • 手游开发神器cocos2d-x editor for lua 之配置lua环境和运行hellolua 公告:最新的idea13.1竟然无法在插件市场找到lua,可能是lua的作者没有及时更新上,我们只能通过网页下载lua插件了 ...offset=15&...
  • IDEA+EmmyLua配置

    2020-11-17 20:31:30
    毕业两年,终于进来一个“大公司”了,然而,大公司的主机是加密的,硬盘上积累的“一万”个好用的安装包都用不了了,只能一个个下载,然后配置环境了。。。 一、下载 lua-5.3.4_Win64_bin 地址:...
  • 我这里使用的是 IDEA 社区版。官网地址:... ... 接下来安装 EmmyLua 插件: 安装 Lua 相关环境: brew install lua brew install luarocks luarocks install luasocket ➜ ~ brew install lua ==&g.
  • idea搭建Lua+OpenResty+Nginx开发环境 1.下载openrestry并解压到本地: 下载地址:http://openresty.org/cn/download.html 2.安装插件:Lua,openrestyLuaSupport,idea-nginx-support 参考地址:...
  • Lua环境基本配置说明Lua+luarocks+IDEALua安装Luarocks安装IDEA配置 Lua+luarocks+IDEA 记录下主要的安装步骤,避免下次再次踩坑。 Lua安装 下载LuaforWindows:官方下载地址: ...
  • Intellij Idea编辑调试Lua

    万次阅读 2018-06-04 20:37:52
    Intellij Idea编辑调试Lua 之前我整理了关于Intellij Idea以及EmmyLua插件调试Unity的相关资料 在学习Lua的过程中,想验证下学习过程中的猜想,最好支持断点调试这些, 所以去研究了一下Intellij Idea单独写Lua...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 2,637
精华内容 1,054
关键字:

idea配置lua环境